На главную... Продукты | Технологии | Классификаторы | Проекты | Скачать | Цены| Форум | Статьи | Обучение | Контакты

Vasyl Savitskyy (Все сообщения пользователя)

Поиск  Пользователи  Правила  Войти
Форум » Пользователи » Vasyl Savitskyy
Выбрать дату в календареВыбрать дату в календаре

Страницы: 1
GIS WebServer SE версия 4.4, от 14.01.2019, сломан запуск версии до 14.01.2019 и новая версия ведет себя непонятно
 
Спасибо
GIS WebServer SE версия 4.4, от 14.01.2019, сломан запуск версии до 14.01.2019 и новая версия ведет себя непонятно
 
было замечено вот какое поведение
установка версии 4.4 проводилась в C:\OSPanel\domains\GISWebServerSE4.4
в имени папки есть символ "." и в "панели управления" -> ... -> "программы и компоненты" версия  не обновилась и была 4.3
после повторной установки в C:\OSPanel\domains\newGISWebServerSE проект запустился в бравзере без каких либо настроек зависимостей по открытию доступа на запись, так же перезаписав C:\ProgramData\Panorama\GISWebServerSE
проект на 4.3 версии умер с теми ошибками что описал выше

пока буду разбиратся как подключать плагин по новому.
GIS WebServer SE версия 4.4, от 14.01.2019, сломан запуск версии до 14.01.2019 и новая версия ведет себя непонятно
 
( старая версия от 20-х чисел 12.2018 )
раскомментировал ту строку и закоментировал ту $AppData = GetMatadateDir();

дал доступ на на запись appdata, ругнулось на File "C:\OSPanel\domains\GISWebServerSE\appdata\config.xml" is not readable!
в папку appdata проекта закинул все конфиг файлы из папки C:\ProgramData\Panorama\GISWebServerSE,
получил http://prntscr.com/m7xva3  в алерте "No projects were assigned for user!"
если подключаю приложение с помощью пхп:
http://prntscr.com/m7xxn1
получил в бравзере
http://prntscr.com/m7xyqj
код который был ок до обновки
http://prntscr.com/m7y1ra

работал в этом приложении до обновления на последнюю версию

( обновка )
дал доступ на на запись appdata, в папку appdata проекта закинул все конфиг файлы из папки C:\ProgramData\Panorama\GISWebServerSE,
все без именений как и до этого.
http://prntscr.com/m7y00z

помогите, а то много зависимовстей у проекта при установке, хотя  под опенсервере все было ок, под iis трудно осилить установку ).
Спасибо
GIS WebServer SE версия 4.4, от 14.01.2019, сломан запуск версии до 14.01.2019 и новая версия ведет себя непонятно
 
Здраствуйте!
14.01.2019 вышла обновка к  GIS WebServer SE.
Работаю в ОпенСервере до этого в папке domains была установлена предыдущая версия, в ней вел разработку. Запускал приложоение стандартным путем как в опенсервере предусмотрено. После инсталяции новой версии, а установил в ту же папку domains только в другом каталоге, были изменены конфиг файлы в C:\ProgramData\Panorama не зависимо от того что папка для инсталяции была указана с измененным именем новая установка презаписала конфги другого проекта. В результате у меня два проекта
http://prntscr.com/m7uf2b
в новом ошибка, а старый с чистой консолью и белым окном (в index.php отключил подключение своих модулей так как ругалось на них):
http://prntscr.com/m7ugcy
Если надо предоставить еше какую нибуть информацию я готов
C:\ProgramData\Panorama\GISWebServerSE\temp есть файлик, который создался после установки новой версии.
Спасибо.
Авторизация на фронте
 
Спасибо, соль то в том что есть сторонний сервис со своей апи и работает он не с хешем а с логином и паролем, и хоетл заюзать их юзера в гис, тоесть зарегистрировать юзера в гиссервере с таким же паролем и логином как у того сервиса
Авторизация на фронте
 
Спс за ответ, тоесть если надо пароль для запроса, выход один, делать авторизацию в самом плагине?
Авторизация на фронте
 
Доброго времени суток.
Добавил  на панели кнопку с неким функционалом, теперь надо ее отрисовать если у пользователя есть права.
Как на фронте узнать ник, пароль (для отправки запросов), права пользователя, можна ли как то узнать логин и пароль системного пользователя (кто вошел в систему).
Буду рад любой информации, Спасибо!
Я так понимаю надо и с пхп поработать, может есть примеры?
w2ui tabs scroll, <!-- w2ui 1.4.2 --> не поддерживает scroll
 
Вопрос скорее в другом, будет ли поддержка 1.5 w2ui с коробки, просто при создании собственных модулей возникает необходимость изобретать костыли для w2tabs если табы не влазят в диалоговое окно.
w2ui tabs scroll, <!-- w2ui 1.4.2 --> не поддерживает scroll
 
Доброго времени суток!
<!-- w2ui 1.4.2 --> не поддерживает scroll
Диалоговое окно шириной 350рх с табами и по дефолту нет скрола, http://w2ui.com/web/docs/1.5/w2tabs.scroll не работает, решение только добавить
<!-- <script type="text/javascript" src="http://rawgit.com/vitmalina/w2ui/master/dist/w2ui.min.js"></script>;
   <link rel="stylesheet" type="text/css" href="http://rawgit.com/vitmalina/w2ui/master/dist/w2ui.min.css"; /> -->
и тут возникает много траблов таких как
скрин глюка
поскольку w2ui-1.4.2.min.js, w2ui-1.4.2.fix.js, w2ui-1.4.2.min.css тоже должны работать.
как решить проблему?
нужно
сама трабла,версия 1.4.2 не фиксит траблу
Сори за нупский вопрос ) только учюсь.
Спасибо.
Страницы: 1



© КБ Панорама, 1991-2020

Регистрируясь или авторизуясь на форуме, Вы соглашаетесь с Политикой конфиденциальности